wibble::IteratorInterface< T > Struct Template Referenceabstract

`#include <iterator.h>`

Inheritance diagram for wibble::IteratorInterface< T >:
[legend]

## Public Member Functions

virtual T | current () const =0
virtual void | advance ()=0
virtual | ~IteratorInterface ()

## Constructor & Destructor Documentation

## ~IteratorInterface()

template<typename T>

virtual wibble::IteratorInterface< T >::~IteratorInterface | ( |  | ) |

inline virtual

## Member Function Documentation

## advance()

template<typename T>

virtual void wibble::IteratorInterface< T >::advance | ( |  | ) |

pure virtual

Implemented in wibble::IteratorMorph< T, W >.

## current()

template<typename T>

virtual T wibble::IteratorInterface< T >::current | ( |  | ) | const

pure virtual

Implemented in wibble::IteratorMorph< T, W >.

The documentation for this struct was generated from the following file:

- iterator.h